# RPM specfile for ximian-menus module
# Generated Thu Aug 14 17:19:31 2003 GMT by Ximian build system
# $Id: bb_do,v 1.235.2.5 2003/07/31 17:23:29 thunder Exp $
# from $Id: ximian-build.conf,v 1.54.2.1 2003/08/14 17:19:19 mibarra Exp $

%define nam	ximian-menus
%define ver	1.99.30
%define licensedir	%{_datadir}/licenses/%{nam}-%{ver}
%define ximrev	2

Name:     	ximian-menus
Version: 	1.99.30
Release:	0.ximian.6.2
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Red Hat Linux 9 / i386
Copyright:	GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

URL:		http://www.ximian.com/
Source0:	ximian-menus-1.99.30.tar.gz
Patch0:		ximian-menus-de.po.patch
BuildRequires:	gettext
BuildRequires:	intltool
Summary:	Ximian Desktop Meny Layout
Group:		User Interfaces/Desktops
Provides:	ximian-ximian-menus = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description
This package contains the menu shortcuts for the Ximian Desktop.

%files
%defattr(-, root, root)
/usr/share/gnome/ximian
/usr/share/gnome/vfolders/*
/usr/share/pixmaps/*
/usr/*/locale/*/LC_MESSAGES/*.mo


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n ximian-menus-1.99.30
    ;;
all)
%setup  -q -n ximian-menus-1.99.30
    ;;
esac
case "${RPM_COMMAND:-all}" in
dist|all)
%patch -p1 -P 0
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install prefix=${DESTDIR}/usr sysconfdir=${DESTDIR}/etc mandir=${DESTDIR}/usr/share/man infodir=${DESTDIR}/usr/share/info localstatedir=${DESTDIR}/var
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Thu Aug 14 2003 Ximian, Inc.

- Version: 1.99.30-0.ximian.6.2
- Summary: New build.
- New automated build.

* Mon Apr 28 2003 Ximian, Inc.

- Version: 1.99.24-0.ximian.1
- Summary: New build.
- New automated build.

* Fri Apr 18 2003 Ximian, Inc.

- Version: 1.99.23-0.ximian.1
- Summary: New build.
- New automated build.

* Thu Mar 20 2003 Ximian, Inc.

- Version: 1.99.19-0.ximian.2
- Summary: New build.
- New automated build.

* Thu Jan 16 2003 Ximian, Inc.

- Version: 1.99.11-1.ximian.1
- Summary: New build.
- New automated build.

* Thu Jan 16 2003 Ximian, Inc.

- Version: 1.99.10-1.ximian.1
- Summary: New build.
- New automated build.

* Thu Jan 16 2003 Ximian, Inc.

- Version: 1.99.9-1.ximian.1
- Summary: New build.
- New automated build.

* Thu Jan 16 2003 Ximian, Inc.

- Version: 1.99.8-1.ximian.1
- Summary: New build.
- New automated build.

* Wed Jan 15 2003 Ximian, Inc.

- Version: 1.99.7-1.ximian.1
- Summary: New build.
- New automated build.

* Wed Nov 6 2002 Ximian, Inc.

- Version: 1.99.6-1.ximian.1
- Summary: New build.
- New automated build.

* Fri Oct 25 2002 Ximian, Inc.

- Version: 1.99.5-1.ximian.1
- Summary: New build.
- New automated build.

* Thu Oct 24 2002 Ximian, Inc.

- Version: 1.99.4-1.ximian.1
- Summary: New build.
- New automated build.

* Wed Oct 9 2002 Ximian, Inc.

- Version: 1.99.3-1.ximian.1
- Summary: New build.
- New automated build.

* Mon Oct 7 2002 Ximian, Inc.

- Version: 1.99.2-1.ximian.1
- Summary: New build.
- New automated build.

* Fri Oct 4 2002 Ximian, Inc.

- Version: 1.99.1-1.ximian.1
- Summary: New build.
- New automated build.

* Fri Oct 4 2002 Ximian, Inc.

- Version: 1.99.0-1.ximian.1
- Summary: New build.
- New automated build.

* Thu Jun 13 2002 Ximian, Inc.

- Version: 1.4.3-1.ximian.1
- Summary: New build.
- New automated build.

* Thu May 30 2002 Ximian, Inc.

- Version: 1.4.2-1.ximian.1
- Summary: New build.
- New automated build.

* Thu Apr 4 2002 Ximian, Inc.

- Version: 1.4.1.1-1.ximian.1
- Summary: New build.
- New automated build.

* Thu Mar 21 2002 Ximian, Inc.

- Version: 1.4.1-1.ximian.3
- Summary: New build.
- New automated build.

